<template>
  <aside class="menu is-hidden-mobile">
    <p class="menu-label">General</p>
    <ul class="menu-list">
      <router-link v-for="menu in menus" :to="menu.path" :class="menuClass(menu)" :key="menu.path">{{ menu.label }} </router-link>
    </ul>
    <!-- <p class="menu-label">Administration</p>
    <ul class="menu-list">
      <li><a>Team Settings</a></li>
      <li>
        <a>Manage Your Team</a>
        <ul>
          <li><a>Members</a></li>
          <li><a>Plugins</a></li>
          <li><a>Add a member</a></li>
          <li><a>Remove a member</a></li>
        </ul>
      </li>
      <li><a>Invitations</a></li>
      <li><a>Cloud Storage Environment Settings</a></li>
      <li><a>Authentication</a></li>
      <li><a>Payments</a></li>
    </ul>
    <p class="menu-label">Transactions</p>
    <ul class="menu-list">
      <li><a>Payments</a></li>
      <li><a>Transfers</a></li>
      <li><a>Balance</a></li>
      <li><a>Reports</a></li>
    </ul> -->
  </aside>
</template>

<script>
export default {
  data: function() {
    return {
      menus: [
        {
          label: 'Top',
          path: '/top',
          name: 'top'
        },
        {
          label: 'Profile',
          path: '/profile',
          name: 'profile'
        }
      ]
    }
  },
  methods: {
    isActive(menu){
      return this.getLastRoute.name == menu.name
    },

    menuClass(menu){
      return this.isActive(menu) ? 'is-active' : ''
    }
  }
};
</script>